## aodh 18.0.0

=== requirements.txt ===
tenacity>=3.2.1  # Apache-2.0
croniter>=0.3.4 # MIT License
futurist>=0.11.0  # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=5.1.0 # Apache-2.0
gnocchiclient>=6.0.0  # Apache-2.0
lxml>=2.3
oslo.db>=11.0.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=2.0.0 # Apache-2.0
pecan>=0.8.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.22.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
python-keystoneclient>=1.6.0
pytz>=2013.6
requests>=2.5.2
stevedore>=1.5.0 # Apache-2.0
SQLAlchemy>=1.4.1
tooz>=1.28.0 # Apache-2.0
voluptuous>=0.8.10
WebOb>=1.2.3
WSME>=0.12.1
cachetools>=1.1.6
cotyledon>=1.7.3
keystoneauth1>=2.1
python-observabilityclient>=0.0.4
python-octaviaclient>=1.8.0
python-dateutil>=2.8.2  # BSD
python-heatclient>=1.17.0

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.8.1
sphinxcontrib-pecanwsme>=0.10.0

=== debian/changelog ===
aodh (18.0.0-3~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Fri, 25 Jul 2025 10:08:43 +0000

aodh (18.0.0-2) unstable; urgency=medium

  * Add Fix_db_upgrade_with_SQLAlchemy_2.0.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 May 2024 15:54:03 +0200

aodh (18.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:58:38 +0200

aodh (18.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed lsb-base depends.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Mar 2024 18:43:03 +0100

aodh (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 23:14:28 +0200

aodh (17.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Blacklist TestEvaluatorBaseClass.test_base_time_constraints_timezone().
  * Cleans better.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 11:23:12 +0200

aodh (16.0.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:39:25 +0200

aodh (16.0.0-2) experimental; urgency=medium

  * Build-depends on openstack-pkg-tools (>= 123~).

 -- Thomas Goirand <zigo@debian.org>  Fri, 14 Apr 2023 10:31:30 +0200

aodh (16.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Mar 2023 13:07:35 +0100

aodh (16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bookworm.

 -- Thomas Goirand <zigo@debian.org>  Fri, 03 Mar 2023 16:17:29 +0100

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-croniter,
 python3-dateutil,
 python3-fixtures,
 python3-futurist,
 python3-gabbi,
 python3-gnocchiclient,
 python3-hacking,
 python3-heatclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-observabilityclient,
 python3-octaviaclient,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2 (>= 2.9.6),
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.41.0),
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-wsme (>= 0.12.1),
 python3-zaqarclient,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/aodh
Vcs-Git: https://salsa.debian.org/openstack-team/services/aodh.git
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-aodh (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-dateutil,
 python3-gnocchiclient,
 python3-heatclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-observabilityclient,
 python3-octaviaclient,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.reports,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 0.41.0),
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-wsme (>= 0.12.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.

=== debian/rules ===
#!/usr/bin/make -f

export HOME="$(CURDIR)/debian/test"
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python3,sphinxdoc

override_dh_clean:
	dh_clean
	rm -rf .testrepository
	rm -f debian/aodh-common.config debian/aodh-common.postinst debian/aodh-api.config debian/aodh-api.postinst debian/aodh-common.postrm
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf debian/po debian/*.templates *.egg-info
	rm -f doc/source/_static/aodh.conf.sample doc/source/_static/aodh.policy.yaml.sample
	rm -rf $(CURDIR)/\"
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_clean:
	python3 setup.py clean -a

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func aodh-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm aodh-common.postrm
	pkgos-merge-templates aodh-api aodh endpoint
	pkgos-merge-templates aodh-common aodh db rabbit ksat

override_dh_auto_install:
	echo "Do nothing here..."

override_dh_auto_test:
	echo "Do nothing here..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --force --no-compile -O0 --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*|.*evaluator\.test_base\.TestEvaluatorBaseClass\.test_base_time_constraints_timezone.*))'

endif

	for i in api-paste.ini app.wsgi ; do \
		cp aodh/api/$$i $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/aodh/api ; \
	done

	dh_install
	dh_missing --fail-missing

	# Manage policy.yaml
	mkdir -p $(CURDIR)/debian/aodh-common/etc/aodh/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages:$(CURDIR) oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/aodh-common/etc/aodh/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace aodh

	# Comment out deprecated policies, otherwise, Nova doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/aodh-common/etc/aodh/policy.d/00_default_policy.yaml

	# Manage aodh.conf
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf \
		--namespace aodh \
		--namespace aodh-auth \
		--namespace oslo.db \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.healthcheck \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.reports \
		--namespace keystonemiddleware.auth_token

	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf keystone_authtoken aodh

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf oslo_policy policy_dirs /etc/aodh/policy.d

	pkgos-fix-config-default $(CURDIR)/debian/aodh-common/usr/share/aodh-common/aodh.conf api paste_config /usr/lib/python3/dist-packages/aodh/api/api-paste.ini

	# Add sqlalchemy migration which are missing
	mkdir -p $(CURDIR)/debian/python3-aodh/usr/lib/python3/dist-packages/aodh/storage/sqlalchemy
	cp -auxf $(CURDIR)/aodh/storage/sqlalchemy/* $(CURDIR)/debian/python3-aodh/usr/lib/python3/dist-packages/aodh/storage/sqlalchemy

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## aodh 19.0.0~rc1

=== debian/changelog ===
aodh (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 16:25:13 +0200

aodh (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Fix_db_upgrade_with_SQLAlchemy_2.0.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 08:20:08 +0200

## aodh 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 oslo.i18n>=1.5.0 # Apache-2.0
 oslo.log>=4.3.0 # Apache-2.0
 oslo.reports>=1.18.0 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.policy>=3.11.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 PasteDeploy>=1.5.0
 pbr>=2.0.0 # Apache-2.0
@@ -19,7 +19,7 @@
 oslo.middleware>=3.22.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0
 python-keystoneclient>=1.6.0
-pytz>=2013.6
+pytz>=2013.6;python_version<"3.9" # MIT
 requests>=2.5.2
 stevedore>=1.5.0 # Apache-2.0
 SQLAlchemy>=1.4.1
@@ -34,3 +34,4 @@
 python-octaviaclient>=1.8.0
 python-dateutil>=2.8.2  # BSD
 python-heatclient>=1.17.0
+tzdata>=2022.4;python_version>="3.9" # MIT

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.1.1 # BSD
sphinxcontrib-httpdomain>=1.8.1
sphinxcontrib-pecanwsme>=0.10.0

=== debian/changelog ===
aodh (19.0.0-2) unstable; urgency=medium

  * Removed -O--buildsystem=python_distutils from d/rules.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Dec 2024 11:36:35 +0100

aodh (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 13:14:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -94,7 +94,7 @@
 	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
 	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
 	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc
 endif
 
 override_dh_python3:

## aodh 19.0.0+git2025011509.3599bd95

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

tenacity>=3.2.1 # Apache-2.0
croniter>=0.3.4 # MIT License
futurist>=0.11.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=5.1.0 # Apache-2.0
gnocchiclient>=6.0.0 # Apache-2.0
lxml>=2.3 # BSD
oslo.db>=11.0.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=2.0.0 # Apache-2.0
pecan>=0.8.0 # BSD
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.22.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
python-keystoneclient>=1.6.0 # Apache-2.0
requests>=2.5.2 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
SQLAlchemy>=1.4.1 # MIT
tooz>=1.28.0 # Apache-2.0
voluptuous>=0.8.10 # BSD
WebOb>=1.2.3 # MIT
WSME>=0.12.1 # MIT
cachetools>=1.1.6 # MIT
cotyledon>=1.7.3 # Apache-2.0
keystoneauth1>=2.1 # Apache-2.0
python-observabilityclient>=0.0.4 # Apache-2.0
python-octaviaclient>=1.8.0 # Apache-2.0
python-dateutil>=2.8.2 # BSD
python-heatclient>=1.17.0 # Apache-2.0
tzdata>=2022.4 # MIT

=== debian/changelog ===
aodh (1:19.0.0+git2025011509.3599bd95-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control,d/p/revert-add-prometheus-evaluator.patch: Add BD on
    python3-observabilityclient, drop patch to revert support for
    prometheus.
  * d/control,d/p/fix-timezone-test.patch: Add BD on tzdata-legacy,
    drop patch to fix failing test which this resolves.
  * d/control: Drop surplus dependencies.
  * d/control: Drop dependency on python3-tz, replaced by zoneinfo
    module in stdlib.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Jan 2025 15:42:46 +0000

aodh (1:19.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:18:42 +0100

aodh (1:19.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.

  [ Jadon Naas ]
  * New upstream release candidate for OpenStack Dalmatian

  [ James Page ]
  * d/control: Bump oslo.policy >= 3.11.0.

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 25 Sep 2024 10:27:26 +0100

aodh (1:18.0.0+git2024080716.f43e9031-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian

 -- Jadon Naas <jadon.naas@canonical.com>  Mon, 12 Aug 2024 19:46:17 +0100

aodh (1:18.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 11:24:23 +0100

aodh (1:18.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/*: Refresh.
  * d/watch: Track Caracal series releases.

 -- James Page <james.page@ubuntu.com>  Fri, 15 Mar 2024 16:50:23 +0000

aodh (1:17.0.0+git2024030809.64e0f7c8-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Tue, 12 Mar 2024 09:46:07 +0000

aodh (1:17.0.0+git2024011915.3d49da3c-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/revert-add-prometheus-evaluator.patch: Revert support for
    Prometheus until observabilityclient is package.

 -- James Page <james.page@ubuntu.com>  Wed, 31 Jan 2024 19:27:47 +0000

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 apache2-dev,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-babel,
 python3-cachetools (>= 1.1.6),
 python3-cotyledon (>= 1.7.3),
 python3-croniter (>= 0.3.4),
 python3-dateutil (>= 2.8.2),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 1.3.1),
 python3-futurist (>= 0.11.0),
 python3-gabbi (>= 1.30.0),
 python3-gnocchiclient (>= 6.0.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-observabilityclient,
 python3-octaviaclient (>= 1.8.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.5.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:2.15.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 0.8.0),
 python3-psycopg2,
 python3-pymysql,
 python3-reno,
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.8.0),
 python3-sqlalchemy (>= 1.4.1),
 python3-sqlalchemy-utils (>= 0.39.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.5.0),
 python3-tempest,
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-tooz (>= 1.28.0),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-webtest (>= 3.0.0),
 python3-werkzeug,
 python3-wsme (>= 0.12.1),
 subunit,
 testrepository,
 tzdata-legacy,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/aodh
Homepage: https://opendev.org/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 dpkg-dev,
 adduser,
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 python3-cachetools (>= 1.1.6),
 python3-cotyledon (>= 1.7.3),
 python3-croniter (>= 0.3.4),
 python3-dateutil (>= 2.8.2),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gnocchiclient (>= 6.0.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient,
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 3.11.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 3.5.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 0.8.0),
 python3-pymysql,
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-sqlalchemy (>= 1.4.1),
 python3-stevedore (>= 1:1.5.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.28.0),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-werkzeug,
 python3-wsme (>= 0.12.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python 3 libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 libraries that are needed for all parts of
 Aodh.

## aodh 19.0.0+git2025030311.60ef9dd1

=== debian/changelog ===
aodh (1:19.0.0+git2025030311.60ef9dd1-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:10:50 +0000

## aodh 20.0.0~rc1

=== debian/changelog ===
aodh (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 13:50:23 +0100

aodh (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 16:53:24 +0100

## aodh 20.0.0

=== debian/changelog ===
aodh (20.0.0-2) unstable; urgency=medium

  * Set export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 12:12:52 +0200

aodh (20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:00:01 +0200

aodh (20.0.0~rc1-3) unstable; urgency=medium

  * Blacklist TestAlarmNotifier.test_notify_alarm_rest_action_ok that is
    failing under riscv autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Tue, 01 Apr 2025 15:39:52 +0200

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 alembic,
 python3-babel,
 python3-cachetools,
 python3-cotyledon,
 python3-coverage,
 python3-croniter,
 python3-dateutil,
 python3-fixtures,
 python3-futurist,
 python3-gnocchiclient,
 python3-hacking,
 python3-heatclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-observabilityclient,
 python3-octaviaclient,
 python3-openstackdocstheme,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-pastedeploy,
 python3-pecan,
 python3-psycopg2 (>= 2.9.6),
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sphinxcontrib-pecanwsme,
 python3-sphinxcontrib.httpdomain,
 python3-sqlalchemy,
 python3-sqlalchemy-utils (>= 0.41.0),
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-webtest,
 python3-wsme (>= 0.12.1),
 python3-zaqarclient,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/aodh
Vcs-Git: https://salsa.debian.org/openstack-team/services/aodh.git
Homepage: https://github.com/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 dpkg-dev,
 python3-aodh (= ${binary:Version}),
 sqlite3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 adduser,
 aodh-common (= ${binary:Version}),
 debconf,
 python3-openstackclient,
 q-text-as-data,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 mongodb,
Description: OpenStack Telemetry (Ceilometer) Alarming - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 alembic,
 python3-cachetools,
 python3-croniter,
 python3-dateutil,
 python3-gnocchiclient,
 python3-heatclient,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystoneclient,
 python3-keystonemiddleware,
 python3-lxml,
 python3-observabilityclient,
 python3-octaviaclient,
 python3-oslo.config,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils (>= 0.41.0),
 python3-pastedeploy,
 python3-pbr,
 python3-pecan,
 python3-pymongo,
 python3-pymysql,
 python3-requests,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tenacity,
 python3-tooz,
 python3-tz,
 python3-voluptuous,
 python3-webob,
 python3-werkzeug,
 python3-wsme (>= 0.12.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python libraries that are needed for all parts of
 Aodh.

=== debian/rules ===
--- 
+++ 
@@ -42,8 +42,7 @@
 	rm -rf $(CURDIR)/debian/tmp/usr/etc
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*|.*evaluator\.test_base\.TestEvaluatorBaseClass\.test_base_time_constraints_timezone.*))'
-
+	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit\.(?!(.*test_bin.*|.*test_messaging\.MessagingTests\.test_get_transport_optional.*|.*evaluator\.test_base\.TestEvaluatorBaseClass\.test_base_time_constraints_timezone.*|test_notifier\.TestAlarmNotifier\.test_notify_alarm_rest_action_ok))'
 endif
 
 	for i in api-paste.ini app.wsgi ; do \

## aodh 20.0.0+git2025070714.df115ec8

=== debian/changelog ===
aodh (1:20.0.0+git2025070714.df115ec8-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Hemanth Nakkina ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155, LP: #2121258)
  * d/p/remove-wsmeext.sphinxext.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.
  * d/s/options: Ignore .launchpad.yaml in debdiff.

 -- Hemanth Nakkina <hemanth.nakkina@canonical.com>  Thu, 17 Jul 2025 07:47:24 +0530

aodh (1:20.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 16:26:02 +0200

## aodh 21.0.0~rc1

=== debian/changelog ===
aodh (21.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Sun, 28 Sep 2025 21:21:30 +0000

aodh (21.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:16:27 +0200

aodh (21.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Refreshed patches.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Sep 2025 21:32:42 +0200
